diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailElement.java
index 05ac8a62c..ad14db124 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailElement.java
@@ -3,18 +3,15 @@
  */
 package eu.etaxonomy.taxeditor.ui.section.user;
 
-import eu.etaxonomy.cdm.api.service.IUserService;
+import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.common.User;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.element.CheckboxElement;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
-import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.SelectionType;
-import eu.etaxonomy.taxeditor.ui.password.EditPasswordElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
-import eu.etaxonomy.taxeditor.ui.selection.PersonSelectionElement;
+import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;
 
 /**
  * @author n.hoffmann
@@ -23,9 +20,8 @@ import eu.etaxonomy.taxeditor.ui.selection.PersonSelectionElement;
 public class UserDetailElement extends AbstractCdmDetailElement<User> {
 
 	private TextWithLabelElement text_username;
-	private EditPasswordElement element_editPassword;
 	private TextWithLabelElement text_emailAdress;
-	private PersonSelectionElement selection_person;
+	private EntitySelectionElement<Person> selection_person;
 	private CheckboxElement checkbox_credentialsNonExpired;
 	private CheckboxElement checkbox_enabled;
 	private CheckboxElement checkbox_accountNonLocked;
@@ -50,7 +46,7 @@ public class UserDetailElement extends AbstractCdmDetailElement<User> {
 				"Username", entity.getUsername(), style);
 
 		if (userIsAuthenticated() || CdmStore.getLoginManager().isAdmin()) {
-			element_editPassword = formFactory.createEditPasswordElement(
+			formFactory.createEditPasswordElement(
 					formElement, "Change Password", getConversationHolder(),
 					entity, style);
 		}
@@ -58,10 +54,13 @@ public class UserDetailElement extends AbstractCdmDetailElement<User> {
 		text_emailAdress = formFactory.createTextWithLabelElement(formElement,
 				"Email Adress", entity.getEmailAddress(), style);
 
-		selection_person = (PersonSelectionElement) formFactory
-				.createSelectionElement(SelectionType.PERSON,
-						getConversationHolder(), formElement, "Person",
-						entity.getPerson(), PersonSelectionElement.DEFAULT,
+		selection_person = formFactory
+				.createSelectionElement(Person.class,
+						getConversationHolder(), 
+						formElement, 
+						"Person",
+						entity.getPerson(), 
+						EntitySelectionElement.EDITABLE | EntitySelectionElement.SELECTABLE,
 						style);
 
 		checkbox_accountNonExpired = formFactory.createCheckbox(formElement,
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailWizardPage.java
index e4c01f56a..3c82fbe95 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/user/UserDetailWizardPage.java
@@ -9,8 +9,8 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.User;
 import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.DetailType;
+import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
 /**
@@ -29,7 +29,7 @@ public class UserDetailWizardPage extends AbstractCdmEntityWizardPage<User> {
 	 * @see eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement)
 	 */
 	@Override
-	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
+	public AbstractCdmDetailElement<User> createElement(ICdmFormElement rootElement) {
 		UserDetailElement userElement = (UserDetailElement) formFactory.createCdmDetailElement(DetailType.USER, rootElement, SWT.NULL);
 		userElement.setEntity(getEntity());
 		return userElement;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/DefinedTermDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/DefinedTermDetailSection.java
index f9c065476..1e3b307c8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/DefinedTermDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/DefinedTermDetailSection.java
@@ -26,9 +26,6 @@ import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
  */
 public class DefinedTermDetailSection<T extends DefinedTermBase> extends AbstractCdmDetailSection<T> {
 
-
-	private Class definedTermClass;
-
 	/**
 	 * @param formFactory
 	 * @param definedTermClass 
@@ -38,7 +35,7 @@ public class DefinedTermDetailSection<T extends DefinedTermBase> extends Abstrac
 	 * @param style
 	 */
 	public DefinedTermDetailSection(CdmFormFactory formFactory,
-			Class definedTermClass, ConversationHolder conversation, ICdmFormElement parentElement,
+			Class<T> definedTermClass, ConversationHolder conversation, ICdmFormElement parentElement,
 			ISelectionProvider selectionProvider, int style) {
 		super(formFactory, definedTermClass, conversation, parentElement, selectionProvider, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/TermVocabularyDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/TermVocabularyDetailElement.java
index 1cbaa5c96..de79af502 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/TermVocabularyDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/vocabulary/TermVocabularyDetailElement.java
@@ -11,10 +11,7 @@ package eu.etaxonomy.taxeditor.ui.section.vocabulary;
 
 import java.net.URISyntaxException;
 
-import eu.etaxonomy.cdm.model.common.Language;
-import eu.etaxonomy.cdm.model.common.Representation;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
-import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EditFromSelectionWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EditFromSelectionWizard.java
index e49677d34..5319bb240 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EditFromSelectionWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EditFromSelectionWizard.java
@@ -55,7 +55,7 @@ import eu.etaxonomy.taxeditor.ui.section.user.UserDetailWizardPage;
 public class EditFromSelectionWizard extends Wizard implements
 		SelectionListener {
 
-	private final AbstractSelectionElement selectionElement;
+	private final EntitySelectionElement selectionElement;
 
 	/**
 	 * <p>
@@ -64,10 +64,10 @@ public class EditFromSelectionWizard extends Wizard implements
 	 * 
 	 * @param selectionElement
 	 *            a
-	 *            {@link eu.etaxonomy.taxeditor.ui.selection.AbstractSelectionElement}
+	 *            {@link eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement}
 	 *            object.
 	 */
-	public EditFromSelectionWizard(AbstractSelectionElement selectionElement) {
+	public EditFromSelectionWizard(EntitySelectionElement selectionElement) {
 		this.selectionElement = selectionElement;
 		this.setWindowTitle("Edit Entity");
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EntitySelectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EntitySelectionElement.java
new file mode 100644
index 000000000..ec948a901
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/EntitySelectionElement.java
@@ -0,0 +1,446 @@
+/**
+ * 
+ */
+package eu.etaxonomy.taxeditor.ui.selection;
+
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.jface.wizard.WizardDialog;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionAdapter;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.graphics.Color;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+
+import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
+import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.model.common.ICdmBase;
+import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
+import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
+import eu.etaxonomy.taxeditor.model.ImageResources;
+import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.store.StoreUtil;
+import eu.etaxonomy.taxeditor.ui.dialog.selection.SelectionDialogFactory;
+import eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement;
+import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
+import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
+import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
+import eu.etaxonomy.taxeditor.ui.element.IEnableableFormElement;
+import eu.etaxonomy.taxeditor.ui.element.IEntityElement;
+import eu.etaxonomy.taxeditor.ui.element.ILabeledElement;
+import eu.etaxonomy.taxeditor.ui.element.ISelectable;
+import eu.etaxonomy.taxeditor.ui.element.ISelectableElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
+import eu.etaxonomy.taxeditor.ui.element.SelectionArbitrator;
+
+/**
+ * <p>
+ * Abstract AbstractSelectionElement class.
+ * </p>
+ * 
+ * @author n.hoffmann
+ * @created Nov 17, 2009
+ * @version 1.0
+ * @param <T>
+ */
+public class EntitySelectionElement<T extends ICdmBase> extends
+		AbstractCdmFormElement implements SelectionListener,
+		IEnableableFormElement, ISelectableElement, IEntityElement<T>,
+		ILabeledElement, IConversationEnabled, ISelectable {
+
+	/**
+	 * Bitmask for configuring functionality of selection element
+	 */
+	public static final int NOTHING = 0; // 000
+	public static final int EDITABLE = 1 << 0; // 001
+	public static final int DELETABLE = 1 << 1; // 010
+	public static final int SELECTABLE = 1 << 2; // 100
+	public static final int ALL = EDITABLE | DELETABLE | SELECTABLE; // 111
+
+	protected T entity;
+
+	protected Label label;
+	protected Label text;
+	protected Button button_selection;
+
+	private SelectionArbitrator selectionArbitrator;
+
+	protected Button button_edit;
+
+	private final String labelString;
+
+	private Composite selectableComposite;
+
+	private Button button_remove;
+
+	private final boolean isEditable;
+
+	private final boolean isDeletable;
+
+	private final ConversationHolder conversation;
+	private Class<T> clazz;
+
+	/**
+	 * <p>
+	 * Constructor for AbstractSelectionElement.
+	 * </p>
+	 * 
+	 * @param formFactory
+	 *            a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory}
+	 *            object.
+	 * @param conversation
+	 *            TODO
+	 * @param parentElement
+	 *            a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement}
+	 *            object.
+	 * @param labelString
+	 *            a {@link java.lang.String} object.
+	 * @param entity
+	 *            a T object.
+	 * @param isEditable
+	 *            a boolean.
+	 * @param isSelectable
+	 *            a boolean.
+	 * @param isDeletable
+	 *            a boolean.
+	 * @param style
+	 *            a int.
+	 * @param <T>
+	 *            a T object.
+	 */
+	public EntitySelectionElement(CdmFormFactory formFactory,
+			ConversationHolder conversation, ICdmFormElement parentElement,
+			String labelString, T entity, int mode, int style) {
+		super(formFactory, parentElement);
+
+		this.isEditable = (mode & EDITABLE) == EDITABLE;
+		this.isDeletable = (mode & DELETABLE) == DELETABLE;
+		boolean isSelectable = (mode & SELECTABLE) == SELECTABLE;
+		
+		this.labelString = labelString;
+
+		this.conversation = conversation;
+
+		if (isSelectable && formFactory.getSelectionProvider() != null) {
+			selectionArbitrator = formFactory.createSelectionArbitrator(this);
+		}
+
+		createControls(getLayoutComposite(), SWT.NULL);
+
+		setEntity(entity);
+	}
+	
+	public EntitySelectionElement(CdmFormFactory formFactory,
+			ConversationHolder conversation, ICdmFormElement parentElement, Class<T> clazz,
+			String labelString, T entity, int mode, int style) {
+		this(formFactory, conversation, parentElement, labelString, entity, mode, style);
+		this.clazz = clazz;
+	}
+
+	private void createControls(Composite parent, int style) {
+
+		label = formFactory.createLabel(getLayoutComposite(), labelString,
+				SWT.NULL);
+
+		addControl(label);
+
+		selectableComposite = formFactory.createComposite(getLayoutComposite());
+
+		int columns = 2;
+		if (isEditable) {
+			columns += 1;
+		}
+		if (isDeletable) {
+			columns += 1;
+		}
+
+		selectableComposite.setLayout(LayoutConstants.LAYOUT(columns, false));
+		selectableComposite.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
+
+		addControl(selectableComposite);
+
+		text = formFactory.createLabel(selectableComposite, null, SWT.WRAP);
+		addControl(text);
+
+		text.setLayoutData(LayoutConstants.FILL_HORIZONTALLY());
+		text.setBackground(StoreUtil
+				.getColor(Resources.COLOR_TEXT_DISABLED_BACKGROUND));
+
+		button_selection = formFactory.createButton(selectableComposite, null,
+				SWT.PUSH);
+		button_selection.setImage(ImageResources
+				.getImage(ImageResources.BROWSE_ICON));
+		button_selection.setToolTipText("Browse existing");
+		
+		addControl(button_selection);
+		button_selection.addSelectionListener(this);
+
+		if (isEditable) {
+			button_edit = formFactory.createButton(selectableComposite, null,
+					SWT.PUSH);
+			button_edit.setImage(ImageResources
+					.getImage(ImageResources.EDIT_ICON));
+			button_edit.setToolTipText("Edit");
+			addControl(button_edit);
+			button_edit.addSelectionListener(new EditListener(this));
+		}
+
+		if (isDeletable) {
+			button_remove = formFactory.createButton(selectableComposite, null,
+					SWT.PUSH);
+			button_remove.setImage(ImageResources
+					.getImage(ImageResources.TRASH_ICON));
+			button_remove.setToolTipText("Remove");
+			addControl(button_remove);
+			button_remove.addSelectionListener(new DeleteListener(this));
+		}
+	}
+
+	public void widgetSelected(SelectionEvent e) {
+		T selection = SelectionDialogFactory.getSelectionFromDialog(clazz, getShell(), getConversationHolder(), getEntity());
+		setSelectionInternal(selection);
+	}
+	
+	/**
+	 * Return the selected object
+	 * 
+	 * @return a T object.
+	 */
+	public T getSelection() {
+		return entity;
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * eu.etaxonomy.taxeditor.forms.IEnableableFormElement#setEnabled(boolean)
+	 */
+	/** {@inheritDoc} */
+	@Override
+	public void setEnabled(boolean enabled) {
+		button_selection.setEnabled(enabled);
+		if (isEditable) {
+			button_edit.setEnabled(enabled && entity != null);
+		}
+	}
+
+	/**
+	 * <p>
+	 * setSelectionInternal
+	 * </p>
+	 * 
+	 * @param selection
+	 *            a T object.
+	 */
+	protected void setSelectionInternal(T selection) {
+		if (selection != null && !selection.equals(this.entity)) {
+			setEntity(selection);
+			firePropertyChangeEvent(new CdmPropertyChangeEvent(this, null));
+		}
+	}
+
+	/**
+	 * <p>
+	 * Setter for the field <code>entity</code>.
+	 * </p>
+	 * 
+	 * @param selection
+	 *            a T object.
+	 */
+	public void setEntity(T selection) {
+		this.entity = selection;
+		updateElement();
+	}
+
+	/**
+	 * Updates this elements view
+	 */
+	protected void updateElement() {
+		String title = CdmUtils.Nz(getTitle());
+		// we have to duplicate ampersands otherwise they are treated as
+		// mnenomic (see Label.setText() documentation)
+		title = title.replace("&", "&&");
+		text.setText(title); // title can be null
+		if (isEditable) {
+			button_edit.setEnabled(entity != null);
+		}
+	}
+
+	/**
+	 * <p>
+	 * updateFromWizard
+	 * </p>
+	 */
+	protected void updateFromWizard() {
+		updateElement();
+		firePropertyChangeEvent(new CdmPropertyChangeEvent(this, null));
+	}
+
+	/**
+	 * <p>
+	 * getTitle
+	 * </p>
+	 * 
+	 * @return a {@link java.lang.String} object.
+	 */
+	protected String getTitle() {
+		if (entity != null && entity instanceof IIdentifiableEntity) {
+			return ((IIdentifiableEntity) entity).getTitleCache();
+		}
+		return "";
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void setSelected(boolean selected) {
+		setBackground(selected ? SELECTED : getPersistentBackground());
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see eu.etaxonomy.taxeditor.forms.IEntityElement#getEntity()
+	 */
+	/**
+	 * <p>
+	 * Getter for the field <code>entity</code>.
+	 * </p>
+	 * 
+	 * @return a T object.
+	 */
+	@Override
+	public T getEntity() {
+		return entity;
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see eu.etaxonomy.taxeditor.forms.section.cdmdetail.ISelectableElement#
+	 * getSelectionArbitrator()
+	 */
+	/**
+	 * <p>
+	 * Getter for the field <code>selectionArbitrator</code>.
+	 * </p>
+	 * 
+	 * @return a {@link eu.etaxonomy.taxeditor.ui.element.SelectionArbitrator}
+	 *         object.
+	 */
+	@Override
+	public SelectionArbitrator getSelectionArbitrator() {
+		return selectionArbitrator;
+	}
+
+	/**
+	 * Convenient access to current shell
+	 * 
+	 * @return a {@link org.eclipse.swt.widgets.Shell} object.
+	 */
+	protected Shell getShell() {
+		return getLayoutComposite().getShell();
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void setIrrelevant(boolean irrelevant) {
+		String colorId = irrelevant ? Resources.COLOR_COMPOSITE_IRRELEVANT
+				: Resources.COLOR_TEXT_DISABLED_BACKGROUND;
+
+		Color color = StoreUtil.getColor(colorId);
+		text.setBackground(color);
+	}
+
+	private class DeleteListener extends SelectionAdapter {
+
+		private final EntitySelectionElement<T> selectionElement;
+
+		public DeleteListener(EntitySelectionElement<T> selectionElement) {
+			this.selectionElement = selectionElement;
+		}
+
+		@Override
+		public void widgetSelected(SelectionEvent e) {
+			setEntity(null);
+			firePropertyChangeEvent(new CdmPropertyChangeEvent(
+					selectionElement, null));
+		}
+	}
+
+	private class EditListener extends SelectionAdapter {
+
+		private final EntitySelectionElement<T> selectionElement;
+
+		public EditListener(EntitySelectionElement<T> selectionElement) {
+			this.selectionElement = selectionElement;
+		}
+
+		/** {@inheritDoc} */
+		@Override
+		public void widgetSelected(SelectionEvent e) {
+			WizardDialog dialog = new WizardDialog(selectionElement.getShell(),
+					new EditFromSelectionWizard(selectionElement));
+			if (dialog.open() == IStatus.OK) {
+				selectionElement.updateFromWizard();
+			}
+		}
+	}
+
+	// not used
+	/** {@inheritDoc} */
+	@Override
+	public void widgetDefaultSelected(SelectionEvent e) {
+	}
+
+	/**
+	 * <p>
+	 * getConversationHolder
+	 * </p>
+	 * 
+	 * @return a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
+	 *         object.
+	 */
+	@Override
+	public ConversationHolder getConversationHolder() {
+		return conversation;
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void setBackground(Color color) {
+		label.setBackground(color);
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void setLabel(String labelString) {
+		if (label != null) {
+			label.setText(labelString);
+		}
+	}
+
+	/**
+	 * <p>
+	 * Getter for the field <code>label</code>.
+	 * </p>
+	 * 
+	 * @return a {@link java.lang.String} object.
+	 */
+	@Override
+	public String getLabel() {
+		if (label != null) {
+			return label.getText();
+		}
+		return null;
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void update(CdmDataChangeMap changeEvents) {
+	}
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/NomenclaturalAuthorTeamSelectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/NomenclaturalAuthorTeamSelectionElement.java
index 2af801519..ca90432a5 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/NomenclaturalAuthorTeamSelectionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/NomenclaturalAuthorTeamSelectionElement.java
@@ -28,7 +28,7 @@ import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
  * @version 1.0
  */
 public class NomenclaturalAuthorTeamSelectionElement extends
-		AbstractSelectionElement<Team> {
+		EntitySelectionElement<Team> {
 
 	public static final int DEFAULT = EDITABLE | SELECTABLE | DELETABLE;
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TaxonNodeSelectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TaxonNodeSelectionElement.java
index 74992c1d3..150ed77d1 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TaxonNodeSelectionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TaxonNodeSelectionElement.java
@@ -1,13 +1,12 @@
 // $Id$
 /**
- * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy 
- * http://www.e-taxonomy.eu
- * 
- * The contents of this file are subject to the Mozilla Public License Version 1.1
- * See LICENSE.TXT at the top of this package for the full license terms.
- */
-
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
 package eu.etaxonomy.taxeditor.ui.selection;
 
 import org.eclipse.swt.events.SelectionEvent;
@@ -21,48 +20,32 @@ import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 
 /**
- * <p>
- * TaxonNodeSelectionElement class.
- * </p>
- * 
  * @author n.hoffmann
- * @created Sep 27, 2010
- * @version 1.0
+ * @date Jan 26, 2012
+ *
  */
-public class TaxonNodeSelectionElement extends
-		AbstractSelectionElement<TaxonNode> {
+public class TaxonNodeSelectionElement extends EntitySelectionElement<TaxonNode> {
 
-	public static final int DEFAULT = DELETABLE;
 	private Classification classification;
-
-	/**
-	 * <p>
-	 * Constructor for TaxonNodeSelectionElement.
-	 * </p>
-	 * 
-	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory}
-	 *            object.
-	 * @param conversation
-	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
-	 *            object.
-	 * @param parentElement
-	 *            a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement}
-	 *            object.
-	 * @param labelString
-	 *            a {@link java.lang.String} object.
-	 * @param entity
-	 *            a {@link eu.etaxonomy.cdm.model.taxon.TaxonNode} object.
-	 * @param style
-	 *            a int.
-	 */
+	
 	public TaxonNodeSelectionElement(CdmFormFactory formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			String labelString, TaxonNode entity, int mode, int style) {
-		super(formFactory, conversation, parentElement, labelString, entity,
-				mode, style);
+		super(formFactory, conversation, parentElement, labelString, entity, mode,
+				style);
 	}
-
+	
+	/**
+	 * @return
+	 */
+	public Classification getClassification() {
+		return classification;
+	}
+	
+	public void setClassification(Classification classification){
+		this.classification = classification;
+	}
+	
 	/*
 	 * (non-Javadoc)
 	 * 
@@ -77,18 +60,7 @@ public class TaxonNodeSelectionElement extends
 				getConversationHolder(), "Select parent taxon", null, null, getClassification());
 		setSelectionInternal(newSelection);
 	}
-
-	/**
-	 * @return
-	 */
-	public Classification getClassification() {
-		return classification;
-	}
 	
-	public void setClassification(Classification classification){
-		this.classification = classification;
-	}
-
 	/*
 	 * (non-Javadoc)
 	 * 
@@ -104,4 +76,5 @@ public class TaxonNodeSelectionElement extends
 		}
 		return super.getTitle();
 	}
+
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java
index 6460f55a5..bdf4837e9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java
@@ -17,6 +17,7 @@ import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 
 /**
  * <p>TranslationMetaDataWizardPage class.</p>
@@ -47,9 +48,9 @@ public class TranslationMetaDataWizardPage extends WizardPage {
 	public void createControl(Composite parent) {
 		Composite control = formFactory.createComposite(parent);
 //		control.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_GREEN));
-		control.setLayout(CdmFormFactory.LAYOUT(1, false));
+		control.setLayout(LayoutConstants.LAYOUT(1, false));
 		SashForm sash = new SashForm(control, SWT.HORIZONTAL);
-		sash.setLayoutData(CdmFormFactory.FILL());
+		sash.setLayoutData(LayoutConstants.FILL());
 		
 		setControl(control);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java
index e45397d0b..b7ffb1791 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java
@@ -34,6 +34,7 @@ import eu.etaxonomy.taxeditor.ui.combo.TermComboElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.element.LanguageStringWithLabelElement;
+import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
 import eu.etaxonomy.taxeditor.ui.element.MultilanguageTextElement;
 import eu.etaxonomy.taxeditor.ui.element.RootElement;
 
@@ -54,7 +55,7 @@ public class TranslationWizardPage extends WizardPage{
 	
 	private CdmFormFactory formFactory;
 
-	private TermComboElement combo_sourceLanguage;
+	private TermComboElement<Language> combo_sourceLanguage;
 
 	private LanguageStringWithLabelElement text_source;
 
@@ -83,17 +84,17 @@ public class TranslationWizardPage extends WizardPage{
 	public void createControl(Composite parent) {
 		Composite control = formFactory.createComposite(parent);
 //		control.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_GREEN));
-		control.setLayout(CdmFormFactory.LAYOUT(2, true));
+		control.setLayout(LayoutConstants.LAYOUT(2, true));
 		
 		Composite leftContainer = formFactory.createComposite(control);
-		leftContainer.setLayoutData(CdmFormFactory.FILL());
-		leftContainer.setLayout(CdmFormFactory.LAYOUT(1, false));
+		leftContainer.setLayoutData(LayoutConstants.FILL());
+		leftContainer.setLayout(LayoutConstants.LAYOUT(1, false));
 //		leftContainer.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_BLUE));
 		RootElement leftRoot = new RootElement(formFactory, leftContainer);
 		
 		Composite rightContainer = formFactory.createComposite(control);
-		rightContainer.setLayoutData(CdmFormFactory.FILL());
-		rightContainer.setLayout(CdmFormFactory.LAYOUT(1, false));
+		rightContainer.setLayoutData(LayoutConstants.FILL());
+		rightContainer.setLayout(LayoutConstants.LAYOUT(1, false));
 //		rightContainer.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_RED));
 		RootElement rightRoot = new RootElement(formFactory, rightContainer);
 		
@@ -193,10 +194,15 @@ public class TranslationWizardPage extends WizardPage{
 					Language sourceLanguage = text_source.getLanguageString().getLanguage();
 					Language targetLanguage = combo_targetLanguage.getSelection();
 					
+					if(targetLanguage == null){
+						StoreUtil.warningDialog("Please select a target language", TranslationWizardPage.class, "Please select a language from the combo box at the right.");
+						return;
+					}
+					
 					translatedText = service.translate(text, sourceLanguage, targetLanguage);
 					text_target.setText(translatedText);
 				} catch (LanguageNotSupportedException e) {
-					StoreUtil.warningDialog("Language not supported", TranslationWizardPage.class, e.getMessage());
+					StoreUtil.warningDialog("Language not supported", TranslationWizardPage.class, "The chosen language is not supported by the translation service.");
 				} catch (Exception e){
 					StoreUtil.warningDialog("Error translating text", TranslationWizardPage.class, e.getMessage());
 				}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractAccountViewPart.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractAccountViewPart.java
index a395a7dd2..43f6be126 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractAccountViewPart.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractAccountViewPart.java
@@ -31,7 +31,6 @@ import org.eclipse.ui.IMemento;
 import org.eclipse.ui.IWorkbenchActionConstants;
 import org.eclipse.ui.IWorkbenchPart;
 
-import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.model.ContextListenerAdapter;
@@ -66,8 +65,6 @@ public abstract class AbstractAccountViewPart<T> extends AbstractCdmViewPart {
 		}
 	}
 	
-	private ConversationHolder conversation;
-	
 	protected TableViewer viewer;
 	
 	private IContextListener contextListener;
